Bug 181033 - kernel oops (?) upon resume from ACPI S3 state on Fujitsu-Siemens Lifebook S-4510
kernel oops (?) upon resume from ACPI S3 state on Fujitsu-Siemens Lifebook S-...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: FCMETA_ACPI
  Show dependency treegraph
 
Reported: 2006-02-11 17:43 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 19:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-02-11 17:43:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
This is an old Fujitsu-Siemens Lifebook S-4510, Pentium 3 Mobile-based.
acpitool -s suspends the machine successfully, but when I press the power button to resume it, this is what I get on the screen:
Stopping tasks: ==========================================|
ACPI: PCI interrupt for device 0000:00:07.2 disabled
ACPI: PCI interrupt for device 0000:00:00.1 disabled
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
Debug: sleeping function called from invalid context at mm/slab.c:2499
in_atoimc():0, irqs_disabled():1
 [<c01462f3>] kmem_cache_alloc+0x40/0x4f     [<c020c85>] acpi_os_acquire_object+0xb/0x3c
 [<c02171b1>] acpi_ut_allocate_object_desc_dgb+0x13/0x49     [<c021704b>] acpi_ut_create_internal_object_dbg+0xf/0x5e
 [<c02136d4>] acpi_rs_set_srs_method_data+0x3d/0xb9     [<c021aa3d>] acpi_pci_link_set+0x102/0x17b
 [<c021aecb>] irqrouter_resume+0x1e/0x3c     [<c024d921>] __sysdev_resume+0x11/0x6b
 [<c024dbde>] sysdev_resume+0x34/0x52     [<c0251cb7>] device_power_up+0x5/0xa
 [<c0138787>] suspend_enter+0x44/0x46     [<c01386e5>] suspend_prepare+0x63/0xc1
 [<c0138813>] enter_state+0x5e/0x7c     [<c013894c>] state_store+0x81/0x8f
 [<c01388cb>] state_store+0x0/0x8f     [<c0196a0a>] subsys_attr_store+0x1e/0x22
 [<c0196c12>] flush_write_buffer+0x22/0x28     [<c0196c64>] sysfs_write_file+0x4c/0x71
 [<c0196c18>] sysfs_write_file+0x0/0x71     [<c015b2c9>] vfs_write+0xa2/0x15a
 [<c015b42c>] sys_write+0x41/0x6a     [<c0102e75>] syscall_call+0x7/0xb
ACPI: PCI Interrupt 0000:00:00.1[B] -> Link [LNKB] -> GSI 9 (level, low) -> IRQ 9
PCI: Setting latency timer of device 0000:00:00.1 to 64
ACPI: PCI Interrupt 0000:00:07.2[D] -> Link [LNKD] -> GSI 9 (level, low) -> IRQ 9
ACPI: PCI Interrupt 0000:00:13.0[A] -> Link [LNKA] -> GSI 9 (level, low) -> IRQ 9
PCMCIA: socket c7b71028: *** DANGER *** unable to remove socket power
ACPI: PCI Interrupt 0000:00:13.1[A] -> Link [LNKA] -> GSI 9 (level, low) -> IRQ 9
PCMCIA: socket c7b71c28: *** DANGER *** unable to remove socket power

and then it hangs and the machine has to be powered off and on again.

I am using acpi=force to enable ACPI. APM suspend seems to work, though.


Version-Release number of selected component (if applicable):
kernel-2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1. boot to single mode with acpi=force
2. acpitool -s
  

Additional info:
Comment 1 Dominik 'Rathann' Mierzejewski 2006-04-07 17:13:08 EDT
Same thing happens on FC5, though I'm not getting the kernel trace anymore, just
blank screen. Since ACPI is back on by default in FC5, I have to use acpi=off to
make suspend work again.
Comment 2 Dave Jones 2006-09-16 21:51:57 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 3 Dominik 'Rathann' Mierzejewski 2006-09-17 07:28:14 EDT
Already mentioned in comment #1. Retested with current fc5 kernel, same thing
happens.
Comment 4 Dominik 'Rathann' Mierzejewski 2006-09-17 07:35:45 EDT
If I use acpi=off all works fine, pm-suspend, pm-hibernate and whatnot.
Comment 5 Dave Jones 2006-10-16 16:42:09 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 6 Dominik 'Rathann' Mierzejewski 2006-10-18 12:58:21 EDT
pm-hibernate works with 2.6.18-1.2200.fc5, pm-suspend does not. Amazingly,
pm-hibernate has started working with 2.6.17-1.2187_FC5, too, somehow. Anyway,
there is still a bug somewhere in there. I cannot get any oops log because all I
get upon resuming from S3 state is a black screen with non-blinking cursor in
the top left corner. Only powercycling works.
Comment 7 Dominik 'Rathann' Mierzejewski 2007-01-06 11:49:37 EST
I guess this will be left unsolved, I no longer use that old laptop and the new
one works fine.

Note You need to log in before you can comment on or make changes to this bug.